Apple Pay
How to use Apple Pay to submit a payin in North America.
Payin by ApplePay
POST https://gateway-test.pagsmile.com/trade/payThis endpoint allows you to submit a payin by ApplePay in North America.
Headers
Content-Type*
string
application/json; charset=UTF-8
Authorization*
string
Basic Base64($app_id:$security_key)
Request Body
app_id*
string
Created app's ID at dashboard. Max. 32 chars.
out_trade_no*
string
ID given by the merchant in their system. Max. 64 chars.
order_currency*
string
Fixed value: USD.
method*
string
Fixed value: ApplePay.
order_amount*
string
Payment amount.
Range: 0.01 - ∞.
subject*
string
Payment reason or item title. Max. 128 chars.
content
string
Payment reason detail or item detail. Max. 255 chars.
timestamp*
string
Format: yyyy-MM-dd HH:mm:ss.
Max. 19 chars.
notify_url*
string
Where Pagsmile will send notification to.
buyer_id*
string
Merchant user's ID.
Example
Please use your own app_id and generate your own authorization token when testing.
Last updated
Was this helpful?